Freeciv-3.2: /fast/freeciv/nightly/S3_2/tools/ruleutil/comments.h File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Macros | Functions
comments.h File Reference

Go to the source code of this file.

## Macros

#define | COMMENTS_FILE_NAME "comments-3.2.txt"

## Functions

bool | comments_load (void)
void | comments_free (void)
void | comment_file_header (struct section_file *sfile)
void | comment_buildings (struct section_file *sfile)
void | comment_tech_classes (struct section_file *sfile)
void | comment_techs (struct section_file *sfile)
void | comment_govs (struct section_file *sfile)
void | comment_policies (struct section_file *sfile)
void | comment_uclasses (struct section_file *sfile)
void | comment_utypes (struct section_file *sfile)
void | comment_terrains (struct section_file *sfile)
void | comment_resources (struct section_file *sfile)
void | comment_extras (struct section_file *sfile)
void | comment_bases (struct section_file *sfile)
void | comment_roads (struct section_file *sfile)
void | comment_styles (struct section_file *sfile)
void | comment_citystyles (struct section_file *sfile)
void | comment_musicstyles (struct section_file *sfile)
void | comment_effects (struct section_file *sfile)
void | comment_ueffs (struct section_file *sfile)
void | comment_disasters (struct section_file *sfile)
void | comment_achievements (struct section_file *sfile)
void | comment_goods (struct section_file *sfile)
void | comment_enablers (struct section_file *sfile)
void | comment_specialists (struct section_file *sfile)
void | comment_nationsets (struct section_file *sfile)
void | comment_nationgroups (struct section_file *sfile)
void | comment_nations (struct section_file *sfile)
void | comment_clauses (struct section_file *sfile)
void | comment_uflags_utype (struct section_file *sfile)
void | comment_uflags_uclass (struct section_file *sfile)
void | comment_uflags_terrain (struct section_file *sfile)
void | comment_uflags_extra (struct section_file *sfile)
void | comment_uflags_tech (struct section_file *sfile)
void | comment_uflags_building (struct section_file *sfile)
void | comment_trade_settings (struct section_file *sfile)
void | comment_nations_ruledit (struct section_file *sfile)
void | comment_civstyle_granary (struct section_file *sfile)
void | comment_civstyle_ransom_gold (struct section_file *sfile)
void | comment_civstyle_gameloss_style (struct section_file *sfile)
void | comment_civstyle_gold_upkeep_style (struct section_file *sfile)
void | comment_civstyle_homeless_gold_upkeep (struct section_file *sfile)
void | comment_civstyle_airlift_always (struct section_file *sfile)
void | comment_wonder_visibility_small_wonders (struct section_file *sfile)
void | comment_incite_cost (struct section_file *sfile)
void | comment_combat_rules_tired_attack (struct section_file *sfile)
void | comment_combat_rules_only_killing_veteran (struct section_file *sfile)
void | comment_combat_rules_only_real_fight_veteran (struct section_file *sfile)
void | comment_combat_rules_scaled_veterancy (struct section_file *sfile)
void | comment_combat_rules_damage_reduces_bombard_rate (struct section_file *sfile)
void | comment_combat_rules_low_fp_badwallattacker (struct section_file *sfile)
void | comment_combat_rules_low_fp_pearl_harbour (struct section_file *sfile)
void | comment_combat_rules_low_fp_combat_bonus (struct section_file *sfile)
void | comment_combat_rules_low_fp_nonnat_bombard (struct section_file *sfile)
void | comment_combat_rules_nuke_pop_loss (struct section_file *sfile)
void | comment_combat_rules_nuke_defender_survival (struct section_file *sfile)
void | comment_auto_attack (struct section_file *sfile)
void | comment_actions_ui_names (struct section_file *sfile)
void | comment_actions_dc_initial_odds (struct section_file *sfile)
void | comment_actions_quiet_actions (struct section_file *sfile)
void | comment_borders_radius_permanent (struct section_file *sfile)
void | comment_research_tech_cost_style (struct section_file *sfile)
void | comment_research_base_tech_cost (struct section_file *sfile)
void | comment_research_min_tech_cost (struct section_file *sfile)
void | comment_research_tech_leakage (struct section_file *sfile)
void | comment_research_upkeep_style (struct section_file *sfile)
void | comment_research_free_tech_method (struct section_file *sfile)
void | comment_culture_history_interest (struct section_file *sfile)
void | comment_culture_migration_pml (struct section_file *sfile)
void | comment_calendar_fragments (struct section_file *sfile)
void | comment_counters (struct section_file *sfile)

## Macro Definition Documentation

## ◆ COMMENTS_FILE_NAME

#define COMMENTS_FILE_NAME "comments-3.2.txt"

Definition at line 20 of file comments.h.

## Function Documentation

## ◆ comment_achievements()

void comment_achievements | ( | struct section_file * | sfile | ) |

Write achievements header.

Definition at line 457 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_actions_dc_initial_odds()

void comment_actions_dc_initial_odds | ( | struct section_file * | sfile | ) |

Write actions diplchance_initial_odds settings header.

Definition at line 790 of file comments.c.

Referenced by save_actions_ruleset().

## ◆ comment_actions_quiet_actions()

void comment_actions_quiet_actions | ( | struct section_file * | sfile | ) |

Write actions quiet_actions settings header.

Definition at line 799 of file comments.c.

Referenced by save_actions_ruleset().

## ◆ comment_actions_ui_names()

void comment_actions_ui_names | ( | struct section_file * | sfile | ) |

Write actions ui_name settings header.

Definition at line 782 of file comments.c.

Referenced by save_actions_ruleset().

## ◆ comment_auto_attack()

void comment_auto_attack | ( | struct section_file * | sfile | ) |

Write auto_attack settings header.

Definition at line 774 of file comments.c.

Referenced by save_actions_ruleset().

## ◆ comment_bases()

void comment_bases | ( | struct section_file * | sfile | ) |

Write bases header.

Definition at line 393 of file comments.c.

Referenced by save_terrain_ruleset().

## ◆ comment_borders_radius_permanent()

void comment_borders_radius_permanent | ( | struct section_file * | sfile | ) |

Write borders radius_sq_city_permanent settings header.

Definition at line 808 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_buildings()

void comment_buildings | ( | struct section_file * | sfile | ) |

Write buildings header.

Definition at line 313 of file comments.c.

Referenced by save_buildings_ruleset().

## ◆ comment_calendar_fragments()

void comment_calendar_fragments | ( | struct section_file * | sfile | ) |

Write calendar fragments settings header.

Definition at line 888 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_citystyles()

void comment_citystyles | ( | struct section_file * | sfile | ) |

Write city styles header.

Definition at line 417 of file comments.c.

Referenced by save_styles_ruleset().

## ◆ comment_civstyle_airlift_always()

void comment_civstyle_airlift_always | ( | struct section_file * | sfile | ) |

Write civstyle airlift always enabled settings header.

Definition at line 639 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_civstyle_gameloss_style()

void comment_civstyle_gameloss_style | ( | struct section_file * | sfile | ) |

Write civstyle gameloss_style settings header.

Definition at line 612 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_civstyle_gold_upkeep_style()

void comment_civstyle_gold_upkeep_style | ( | struct section_file * | sfile | ) |

Write civstyle gold_upkeep_style settings header.

Definition at line 621 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_civstyle_granary()

void comment_civstyle_granary | ( | struct section_file * | sfile | ) |

Write civstyle granary settings header.

Definition at line 594 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_civstyle_homeless_gold_upkeep()

void comment_civstyle_homeless_gold_upkeep | ( | struct section_file * | sfile | ) |

Write civstyle homeless_gold_upkeep settings header.

Definition at line 630 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_civstyle_ransom_gold()

void comment_civstyle_ransom_gold | ( | struct section_file * | sfile | ) |

Write civstyle ransom_gold settings header.

Definition at line 603 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_clauses()

void comment_clauses | ( | struct section_file * | sfile | ) |

Write clauses header.

Definition at line 569 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_combat_rules_damage_reduces_bombard_rate()

void comment_combat_rules_damage_reduces_bombard_rate | ( | struct section_file * | sfile | ) |

Write combat_rules damage_reduces_bombard_rate settings header.

Definition at line 705 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_combat_rules_low_fp_badwallattacker()

void comment_combat_rules_low_fp_badwallattacker | ( | struct section_file * | sfile | ) |

Write combat_rules low_firepower_badwallattacker settings header.

Definition at line 715 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_combat_rules_low_fp_combat_bonus()

void comment_combat_rules_low_fp_combat_bonus | ( | struct section_file * | sfile | ) |

Write combat_rules low_firepower_combat_bonus settings header.

Definition at line 735 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_combat_rules_low_fp_nonnat_bombard()

void comment_combat_rules_low_fp_nonnat_bombard | ( | struct section_file * | sfile | ) |

Write combat_rules low_firepower_nonnat_bombard settings header.

Definition at line 745 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_combat_rules_low_fp_pearl_harbour()

void comment_combat_rules_low_fp_pearl_harbour | ( | struct section_file * | sfile | ) |

Write combat_rules low_firepower_pearl_harbour settings header.

Definition at line 725 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_combat_rules_nuke_defender_survival()

void comment_combat_rules_nuke_defender_survival | ( | struct section_file * | sfile | ) |

Write combat_rules nuke_defender_survival_chance_pct settings header.

Definition at line 764 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_combat_rules_nuke_pop_loss()

void comment_combat_rules_nuke_pop_loss | ( | struct section_file * | sfile | ) |

Write combat_rules nuke_pop_loss_pct settings header.

Definition at line 755 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_combat_rules_only_killing_veteran()

void comment_combat_rules_only_killing_veteran | ( | struct section_file * | sfile | ) |

Write combat_rules only_killing_makes_veteran settings header.

Definition at line 675 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_combat_rules_only_real_fight_veteran()

void comment_combat_rules_only_real_fight_veteran | ( | struct section_file * | sfile | ) |

Write combat_rules only_real_fight_makes_veteran settings header.

Definition at line 685 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_combat_rules_scaled_veterancy()

void comment_combat_rules_scaled_veterancy | ( | struct section_file * | sfile | ) |

Write combat_rules combat_odds_scaled_veterancy settings header.

Definition at line 695 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_combat_rules_tired_attack()

void comment_combat_rules_tired_attack | ( | struct section_file * | sfile | ) |

Write combat_rules tired_attack settings header.

Definition at line 666 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_counters()

void comment_counters | ( | struct section_file * | sfile | ) |

Write counters comment header.

Definition at line 577 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_culture_history_interest()

void comment_culture_history_interest | ( | struct section_file * | sfile | ) |

Write culture history_interest_pml settings header.

Definition at line 871 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_culture_migration_pml()

void comment_culture_migration_pml | ( | struct section_file * | sfile | ) |

Write culture migration_pml settings header.

Definition at line 879 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_disasters()

void comment_disasters | ( | struct section_file * | sfile | ) |

Write disasters header.

Definition at line 449 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_effects()

void comment_effects | ( | struct section_file * | sfile | ) |

Write effects header.

Definition at line 433 of file comments.c.

Referenced by save_effects_ruleset().

## ◆ comment_enablers()

void comment_enablers | ( | struct section_file * | sfile | ) |

Write action enablers header.

Definition at line 529 of file comments.c.

Referenced by save_actions_ruleset().

## ◆ comment_extras()

void comment_extras | ( | struct section_file * | sfile | ) |

Write extras header.

Definition at line 385 of file comments.c.

Referenced by save_terrain_ruleset().

## ◆ comment_file_header()

void comment_file_header | ( | struct section_file * | sfile | ) |

Write file header.

Definition at line 305 of file comments.c.

Referenced by create_ruleset_file().

## ◆ comment_goods()

void comment_goods | ( | struct section_file * | sfile | ) |

Write goods header.

Definition at line 521 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_govs()

void comment_govs | ( | struct section_file * | sfile | ) |

Write governments header.

Definition at line 337 of file comments.c.

Referenced by save_governments_ruleset().

## ◆ comment_incite_cost()

void comment_incite_cost | ( | struct section_file * | sfile | ) |

Write incite_cost settings header.

Definition at line 657 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_musicstyles()

void comment_musicstyles | ( | struct section_file * | sfile | ) |

Write music styles header.

Definition at line 425 of file comments.c.

Referenced by save_styles_ruleset().

## ◆ comment_nationgroups()

void comment_nationgroups | ( | struct section_file * | sfile | ) |

Write nationgroups header.

Definition at line 553 of file comments.c.

Referenced by save_nations_ruleset().

## ◆ comment_nations()

void comment_nations | ( | struct section_file * | sfile | ) |

Write nations header.

Definition at line 545 of file comments.c.

Referenced by save_nations_ruleset().

## ◆ comment_nations_ruledit()

void comment_nations_ruledit | ( | struct section_file * | sfile | ) |

Write nations.ruleset [ruledit] section header.

Definition at line 586 of file comments.c.

Referenced by save_nations_ruleset().

## ◆ comment_nationsets()

void comment_nationsets | ( | struct section_file * | sfile | ) |

Write nationsets header.

Definition at line 561 of file comments.c.

Referenced by save_nations_ruleset().

## ◆ comment_policies()

void comment_policies | ( | struct section_file * | sfile | ) |

Write policies header.

Definition at line 345 of file comments.c.

Referenced by save_governments_ruleset().

## ◆ comment_research_base_tech_cost()

void comment_research_base_tech_cost | ( | struct section_file * | sfile | ) |

Write research base_tech_cost settings header.

Definition at line 826 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_research_free_tech_method()

void comment_research_free_tech_method | ( | struct section_file * | sfile | ) |

Write research free_tech_method settings header.

Definition at line 862 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_research_min_tech_cost()

void comment_research_min_tech_cost | ( | struct section_file * | sfile | ) |

Write research min_tech_cost settings header.

Definition at line 835 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_research_tech_cost_style()

void comment_research_tech_cost_style | ( | struct section_file * | sfile | ) |

Write research tech_cost_style settings header.

Definition at line 817 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_research_tech_leakage()

void comment_research_tech_leakage | ( | struct section_file * | sfile | ) |

Write research tech_leakage settings header.

Definition at line 844 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_research_upkeep_style()

void comment_research_upkeep_style | ( | struct section_file * | sfile | ) |

Write research tech_upkeep_style settings header.

Definition at line 853 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_resources()

void comment_resources | ( | struct section_file * | sfile | ) |

Write resources header.

Definition at line 377 of file comments.c.

Referenced by save_terrain_ruleset().

## ◆ comment_roads()

void comment_roads | ( | struct section_file * | sfile | ) |

Write roads header.

Definition at line 401 of file comments.c.

Referenced by save_terrain_ruleset().

## ◆ comment_specialists()

void comment_specialists | ( | struct section_file * | sfile | ) |

Write specialists header.

Definition at line 537 of file comments.c.

Referenced by save_cities_ruleset().

## ◆ comment_styles()

void comment_styles | ( | struct section_file * | sfile | ) |

Write styles header.

Definition at line 409 of file comments.c.

Referenced by save_styles_ruleset().

## ◆ comment_tech_classes()

void comment_tech_classes | ( | struct section_file * | sfile | ) |

Write tech classes' header.

Definition at line 321 of file comments.c.

Referenced by save_techs_ruleset().

## ◆ comment_techs()

void comment_techs | ( | struct section_file * | sfile | ) |

Write techs header.

Definition at line 329 of file comments.c.

Referenced by save_techs_ruleset().

## ◆ comment_terrains()

void comment_terrains | ( | struct section_file * | sfile | ) |

Write terrains header.

Definition at line 369 of file comments.c.

Referenced by save_terrain_ruleset().

## ◆ comment_trade_settings()

void comment_trade_settings | ( | struct section_file * | sfile | ) |

Write trade settings header.

Definition at line 513 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comment_uclasses()

void comment_uclasses | ( | struct section_file * | sfile | ) |

Write unit classes header.

Definition at line 353 of file comments.c.

Referenced by save_units_ruleset().

## ◆ comment_ueffs()

void comment_ueffs | ( | struct section_file * | sfile | ) |

Write User effects header.

Definition at line 441 of file comments.c.

Referenced by save_effects_ruleset().

## ◆ comment_uflags_building()

void comment_uflags_building | ( | struct section_file * | sfile | ) |

Write header for building user flags.

Definition at line 505 of file comments.c.

Referenced by save_buildings_ruleset().

## ◆ comment_uflags_extra()

void comment_uflags_extra | ( | struct section_file * | sfile | ) |

Write header for extra user flags.

Definition at line 489 of file comments.c.

## ◆ comment_uflags_tech()

void comment_uflags_tech | ( | struct section_file * | sfile | ) |

Write header for tech user flags.

Definition at line 497 of file comments.c.

Referenced by save_techs_ruleset().

## ◆ comment_uflags_terrain()

void comment_uflags_terrain | ( | struct section_file * | sfile | ) |

Write header for terrain user flags.

Definition at line 481 of file comments.c.

Referenced by save_terrain_ruleset().

## ◆ comment_uflags_uclass()

void comment_uflags_uclass | ( | struct section_file * | sfile | ) |

Write header for unit class user flags.

Definition at line 473 of file comments.c.

## ◆ comment_uflags_utype()

void comment_uflags_utype | ( | struct section_file * | sfile | ) |

Write header for unit type user flags.

Definition at line 465 of file comments.c.

Referenced by save_units_ruleset().

## ◆ comment_utypes()

void comment_utypes | ( | struct section_file * | sfile | ) |

Write unit types header.

Definition at line 361 of file comments.c.

Referenced by save_units_ruleset().

## ◆ comment_wonder_visibility_small_wonders()

void comment_wonder_visibility_small_wonders | ( | struct section_file * | sfile | ) |

Write wonder_visibility small_wonders settings header.

Definition at line 648 of file comments.c.

Referenced by save_game_ruleset().

## ◆ comments_free()

void comments_free | ( | void |  | ) |

Free comments.

Definition at line 269 of file comments.c.

Referenced by main().

## ◆ comments_load()

bool comments_load | ( | void |  | ) |

Load comments to add to the saved rulesets.

Definition at line 105 of file comments.c.

Referenced by main().